Subscription change audit log
curl --request GET \
--url https://api.wsapi.chat/account/subscriptions/{id}/changes \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/subscriptions/{id}/changes"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/subscriptions/{id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/subscriptions/{id}/changes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"subscriptionId": "<string>",
"changeType": "<string>",
"previousQuantity": 123,
"newQuantity": 123,
"instanceId": "<string>",
"proratedAmount": 123,
"notes": "<string>"
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 404,
"detail": "not found"
}Account
Subscription change audit log
Returns a paginated, filterable log of subscription changes.
GET
/
account
/
subscriptions
/
{id}
/
changes
Subscription change audit log
curl --request GET \
--url https://api.wsapi.chat/account/subscriptions/{id}/changes \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/subscriptions/{id}/changes"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/subscriptions/{id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/subscriptions/{id}/changes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"subscriptionId": "<string>",
"changeType": "<string>",
"previousQuantity": 123,
"newQuantity": 123,
"instanceId": "<string>",
"proratedAmount": 123,
"notes": "<string>"
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123
}{
"status": 401,
"detail": "unauthorized"
}{
"status": 404,
"detail": "not found"
}Authorizations
Customer API key. Only the customer-level key is accepted for /account/* endpoints. No X-Instance-Id header is required.
Path Parameters
Query Parameters
⌘I